﻿using UnityEngine;
using System.Collections;

[RequireComponent(typeof(MeshRenderer))]
public class UnTexPanner : MonoBehaviour {

	Material material;
	Vector2 initialOffset;
	public float uPanSpeed, vPanSpeed;
	public bool wavy;

	void Start () {
		material = GetComponent<MeshRenderer> ().material;
		initialOffset = material.mainTextureOffset;
	}

	void Update () {
		material.mainTextureOffset = initialOffset + new Vector2 (uPanSpeed, vPanSpeed)*Time.time;
		if (wavy)
			material.mainTextureOffset += new Vector2 (Mathf.Cos (Time.time),Mathf.Sin(Time.time)*0.9f) * 0.1f;
	}
}
